KDE 4.9 PyKDE API Reference

- KDE's Python API

# KBookmarkAction Class Reference

`from PyKDE4.kio import *`

Inherits: KAction → QWidgetAction → QAction → QObject,KBookmarkActionInterface

## Detailed Description

* This class is a KAction for bookmarks. It provides a nice constructor. And on triggered uses the owner to open the bookmark.

## Methods

| __init__ (self, KBookmark bk, KBookmarkOwner owner, QObject parent)
| slotSelected (self, Qt::MouseButtons mb, Qt::KeyboardModifiers km)

## Method Documentation

__init__ | ( | self, |
|  | KBookmark | bk,
|  | KBookmarkOwner | owner,
|  | QObject | parent
| ) |  |  |

slotSelected | ( | self, |
|  | Qt::MouseButtons | mb,
|  | Qt::KeyboardModifiers | km
| ) |  |  |